summaryrefslogtreecommitdiff
path: root/over
diff options
context:
space:
mode:
authorJay Freeman <saurik@saurik.com>2008-03-08 11:59:20 +0000
committerJay Freeman <saurik@saurik.com>2008-03-08 11:59:20 +0000
commit3853a55ec40769c8ade4d51749d49c2bcef99e79 (patch)
treed23c26695d60feca155b52e6f69c3e3ad129f3da /over
parent5f15f89bf6a74d49c1581ccadebd4c02ca27d8e0 (diff)
Added a fix for the fstab noexec issue.
git-svn-id: http://svn.telesphoreo.org/trunk@175 514c082c-b64e-11dc-b46d-3d985efe055d
Diffstat (limited to 'over')
-rwxr-xr-xover/usr/libexec/cydia_/fstab.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/over/usr/libexec/cydia_/fstab.sh b/over/usr/libexec/cydia_/fstab.sh
new file mode 100755
index 000000000..0414389c3
--- /dev/null
+++ b/over/usr/libexec/cydia_/fstab.sh
@@ -0,0 +1,9 @@
+#!/usr/libexec/cydia_/bash
+export PATH=/usr/libexec/cydia_
+
+if grep -Ew 'noexec|ro' /etc/fstab >/dev/null; then
+ sed -i -e 's/\<ro\>/rw/;s/,noexec\>//' /etc/fstab
+ exit 1
+else
+ exit 0
+fi